ByCloud Docs
GuidesCLIAPISDK
get/v1/iam/groups/{group_id}

Get group

Get details of a specific group

Path Parameters

group_id

string<uuid>required

path

Group ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

Group details

Content-Type: application/json

group

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
403

Insufficient permissions

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/iam/groups/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Group details

{
"group": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn::iam:group:550e8400-e29b-41d4-a716-446655440000",
"name": "developers",
"description": "Development team members",
"member_count": 0,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}